Foros del Web » Creando para Internet » CSS »

Versiones explorer :(

Estas en el tema de Versiones explorer :( en el foro de CSS en Foros del Web. Hola, estaba tan contento programandome mi sitio web cuando después de terminar lo que quería hacer cumpliendo más o menos el W3C, pruebo en firefox ...
  #1 (permalink)  
Antiguo 31/10/2007, 03:35
Avatar de Javiglez  
Fecha de Ingreso: marzo-2006
Ubicación: Valladolid
Mensajes: 496
Antigüedad: 11 años, 9 meses
Puntos: 0
Versiones explorer :(

Hola, estaba tan contento programandome mi sitio web cuando después de terminar lo que quería hacer cumpliendo más o menos el W3C, pruebo en firefox y en explorer y bien sin problemas...cual es mi sorpresa cuando llego al curro al día siguiente y me da por probarlo en el explorer de mi máquina y bingo...3 de las capas que tengo en una de las pantallas tienen la dimensión que quieren...y no me sacan datos en php que me tenían que mostrar....Ahora mismo no puedo pegaros el código pero he mirado la versión de este Explorer y es la 6.0.2900. Donde yo la estaba probando que funciona es la última actualización 7. algo...tengo que mirar detenidamente el código, lo único que se me ocurre es que sea por tener algunas caracteristicas de las capas dentro de la clase php en vez de la hoja de estilo....sino no se a ver si alguno tiene una ligera idea. Gracias un salludo.
  #2 (permalink)  
Antiguo 31/10/2007, 04:39
Avatar de Expinete  
Fecha de Ingreso: abril-2006
Ubicación: Zaragoza
Mensajes: 236
Antigüedad: 11 años, 8 meses
Puntos: 3
Re: Versiones explorer :(

Si estabas usando la versión 7.0 de explorer y mozilla para comprobar que salian = es normal que no te diera ningún error, el porque es muy sencillo, xplorer 7 utliza el motor de mozilla...
Puedes hacer una cosa... hay un paquete de explorers , creo que se llama multiIE (ya no me acuerdo) o algo parecido que te instala todos los explorer ... a ver con instalar el 5 y el 6 creo que es suficiente.

Espero haberte ayudado.

Un saludo.
  #3 (permalink)  
Antiguo 31/10/2007, 06:03
Avatar de Javiglez  
Fecha de Ingreso: marzo-2006
Ubicación: Valladolid
Mensajes: 496
Antigüedad: 11 años, 9 meses
Puntos: 0
Re: Versiones explorer :(

Cita:
Iniciado por Expinete Ver Mensaje
Si estabas usando la versión 7.0 de explorer y mozilla para comprobar que salian = es normal que no te diera ningún error, el porque es muy sencillo, xplorer 7 utliza el motor de mozilla...
Puedes hacer una cosa... hay un paquete de explorers , creo que se llama multiIE (ya no me acuerdo) o algo parecido que te instala todos los explorer ... a ver con instalar el 5 y el 6 creo que es suficiente.

Espero haberte ayudado.

Un saludo.
Aha osea que Explorer 7 utiliza el motor de Firefox...no tenía ni idea....Pos miraré a ver pero lo que me mosquea es si una capa mide lo que mide no entiendo porque en las otras versiones del explorer mide lo que le da la gana...Revisaré el código a ver porque me pasa con unas capas y con otras no..Gracias.
  #4 (permalink)  
Antiguo 31/10/2007, 06:39
Avatar de JavierB
Colaborador
 
Fecha de Ingreso: febrero-2002
Ubicación: Madrid
Mensajes: 25.052
Antigüedad: 15 años, 9 meses
Puntos: 771
Re: Versiones explorer :(

Hola Javiglez

Para entender los distintos tamaños de las capas, te puede venir bien este enlace:

http://www.disenorama.com/articulos/...e-cajas-en-CSS

Saludos,
  #5 (permalink)  
Antiguo 31/10/2007, 08:21
Avatar de tunait
Moderadora
 
Fecha de Ingreso: agosto-2001
Ubicación: Terok Nor
Mensajes: 16.805
Antigüedad: 16 años, 3 meses
Puntos: 380
Re: Versiones explorer :(

Tema trasladado desde Web general
  #6 (permalink)  
Antiguo 31/10/2007, 11:30
Avatar de chalchis  
Fecha de Ingreso: julio-2003
Mensajes: 1.773
Antigüedad: 14 años, 4 meses
Puntos: 21
Re: Versiones explorer :(

Cita:
Iniciado por JavierB Ver Mensaje
Hola Javiglez

Para entender los distintos tamaños de las capas, te puede venir bien este enlace:

http://www.disenorama.com/articulos/...e-cajas-en-CSS

Saludos,

instala este programa

http://www.visualbeta.es/1220/navega...orer-en-un-pc/

saludos
__________________
gerardo
  #7 (permalink)  
Antiguo 31/10/2007, 14:25
Avatar de Javiglez  
Fecha de Ingreso: marzo-2006
Ubicación: Valladolid
Mensajes: 496
Antigüedad: 11 años, 9 meses
Puntos: 0
Re: Versiones explorer :(

Cita:
Iniciado por chalchis Ver Mensaje
Gracias a todos voy a ver que puedo sacar en limpio porque es una perrada todo el que no se actualice el explorer va a ver mal algunas pantallas...
  #8 (permalink)  
Antiguo 08/11/2007, 14:34
Avatar de Javiglez  
Fecha de Ingreso: marzo-2006
Ubicación: Valladolid
Mensajes: 496
Antigüedad: 11 años, 9 meses
Puntos: 0
Re: Versiones explorer :(

Bueno pues he instalado lo que me recomendasteis para ver las capas con las diferentes versiones y efectivamente con todas menos la 7 se me ve mal las capas, cambian hasta de tamaño y no muestran datos...no entiendo nada...y estas capas están igual que las otras, os pongo las caracateristicas y como lo tengo puesto para ver si veis algo raro o a ver que se puede hacer...
Código PHP:


#titulo_texto {
    
position:absolute;
    
width:342px;
    
height:18px;
    
z-index:1;
    
left8px;
    
top189px;
    
background-color#778db6;
    
cursor:pointer
}

<
div id="titulo_texto" onclick="ocultar ('fotos'); ocultar ('textos'); mostrar('planos')">
<
p style='font-family: Verdana, Arial, Helvetica, sans-serif;font-size: 16px;color: #FFFFFF; font-weight: bold; float: center;' href="#">PLANOS</p>
</
div
  #9 (permalink)  
Antiguo 08/11/2007, 14:58
Avatar de webosiris
Moderador egiptólogo
 
Fecha de Ingreso: febrero-2002
Ubicación: Luxor, Egipto
Mensajes: 10.727
Antigüedad: 15 años, 10 meses
Puntos: 997
Re: Versiones explorer :(

Cita:
Iniciado por Expinete Ver Mensaje
xplorer 7 utliza el motor de mozilla
seguí soñando!!! que más qusiéramos los desarrolladores web que ie usara gecko... pero no, ie7 sigue usando trident (Trident V) al igual que IE 6 (que usa trident IV)
__________________
Pasamos tus PSD a HTML

Pobre del que lo sabe todo, porque no tiene nada más que aprender ni razón para vivir. -
  #10 (permalink)  
Antiguo 08/11/2007, 15:09
Avatar de Javiglez  
Fecha de Ingreso: marzo-2006
Ubicación: Valladolid
Mensajes: 496
Antigüedad: 11 años, 9 meses
Puntos: 0
Re: Versiones explorer :(

ya he dado con el problema a ver si podeis ayudarme. El problema es que el texto
FOTO lo quiero poner antes del echo que saco a continuación y en la misma línea, y lo que pasa es que el echo me lo saca abajo y me desborda la capa, tengo que quitar un salto de línea pero no lo veo.....a ver si me echais una mano..
Código PHP:
<div id="titulo_foto" onclick=" ocultar ('planos'); ocultar ('textos'); mostrar ('fotos')"><span class="Estilo16">FOTOS</span><?php
    $sql
="SELECT Expedientes.expediente, Documentos.nombre FROM Expedientes, Documentos, Clientes WHERE 
    Clientes.dni = '"
.$_SESSION['dni']."' AND Expedientes.dni= Clientes.dni AND Documentos.tipo='foto' AND Documentos.expediente=Expedientes.expediente";
    
$result mysql_query(sprintf$sqlmysql_real_escape_string$_GET['expediente'] ) ) );
    
$nregistros=mysql_num_rows($result);
    echo 
"<p style='font-family: Verdana, Arial, Helvetica, sans-serif;font-size: 11px;color: #FFFFFF; font-weight: bold;'>(".$nregistros.")</p>";  
    
?>
</div>
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 20:08.